## ros-galactic-moveit-resources-prbt-support 2.3.4

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10.2)
project(moveit_resources_prbt_support)

find_package(ament_cmake REQUIRED)
ament_package()

#############
## Install ##
#############

## Install URDF and meshes
install(DIRECTORY urdf DESTINATION share/${PROJECT_NAME})
install(DIRECTORY meshes DESTINATION share/${PROJECT_NAME})
install(DIRECTORY config DESTINATION share/${PROJECT_NAME})

=== debian/changelog ===
ros-galactic-moveit-resources-prbt-support (2.3.4-1focal) focal; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Mon, 07 Feb 2022 07:00:00 -0000

ros-galactic-moveit-resources-prbt-support (2.3.3-1focal) focal; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Thu, 20 Jan 2022 07:00:00 -0000

ros-galactic-moveit-resources-prbt-support (2.3.2-1focal) focal; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Wed, 29 Dec 2021 07:00:00 -0000

ros-galactic-moveit-resources-prbt-support (2.3.1-1focal) focal; urgency=high

  * Bump new packages to 2.3.0
  * Add PRBT test dependencies for PILZ planner (#909 <https://github.com/ros-planning/moveit2/issues/909>)
    * Adding PRBT config
    * Port prbt packages to ROS 2
    * Move PRBT into test_configs directory
    * Fix pre-commit for pilz test_config
    * Revert "Docker - Temporarily move moveit_resources under target workspace due to #885 <https://github.com/ros-planning/moveit2/issues/885> (#915 <https://github.com/ros-planning/moveit2/issues/915>)"
    * Reset repos file entry for moveit_resources
    * prbt_support: drop all test code
    Co-authored-by: Christian Henkel <mailto:post@henkelchristian.de>
    Co-authored-by: Michael Görner <mailto:me@v4hn.de>
    Co-authored-by: Sebastian Jahr <mailto:sebastian.jahr@picknik.ai>
  * Contributors: Henning Kayser, Tyler Weaver
  * initial commit from upstream PilzDE/pilz_robots version 0.5.19 (2020-09-07)

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Thu, 23 Dec 2021 07:00:00 -0000

=== debian/control ===
Source: ros-galactic-moveit-resources-prbt-support
Section: misc
Priority: optional
Maintainer: Alexander Gutenkunst <a.gutenkunst@pilz.de>
Build-Depends: debhelper (>= 9.0.0), ros-galactic-ament-cmake, ros-galactic-ros-workspace
Homepage: http://moveit.ros.org
Standards-Version: 3.9.2

Package: ros-galactic-moveit-resources-prbt-support
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-galactic-xacro, ros-galactic-ros-workspace
Description: Mechanical, kinematic and visual description of the Pilz light weight arm PRBT.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/galactic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/galactic" \
		-DAMENT_PREFIX_PATH="/opt/ros/galactic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/galactic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-galactic-moveit-resources-prbt-support//opt/ros/galactic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_install
